package com.vetti.hotake.service.impl;

import java.util.List;

import com.vetti.common.core.service.BaseServiceImpl;
import com.vetti.common.enums.FillTypeEnum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.vetti.hotake.mapper.HotakeInterviewInfoMapper;
import com.vetti.hotake.domain.HotakeInterviewInfo;
import com.vetti.hotake.service.IHotakeInterviewInfoService;

/**
 * 面试信息Service业务层处理
 * 
 * @author wangxiangshun
 * @date 2025-11-09
 */
@SuppressWarnings("all")
@Service
public class HotakeInterviewInfoServiceImpl extends BaseServiceImpl implements IHotakeInterviewInfoService
{
    @Autowired
    private HotakeInterviewInfoMapper hotakeInterviewInfoMapper;

    /**
     * 查询面试信息
     * 
     * @param id 面试信息主键
     * @return 面试信息
     */
    @Transactional(readOnly = true)
    @Override
    public HotakeInterviewInfo selectHotakeInterviewInfoById(Long id)
    {
        return hotakeInterviewInfoMapper.selectHotakeInterviewInfoById(id);
    }

    /**
     * 查询面试信息列表
     * 
     * @param hotakeInterviewInfo 面试信息
     * @return 面试信息
     */
    @Transactional(readOnly = true)
    @Override
    public List<HotakeInterviewInfo> selectHotakeInterviewInfoList(HotakeInterviewInfo hotakeInterviewInfo)
    {
        return hotakeInterviewInfoMapper.selectHotakeInterviewInfoList(hotakeInterviewInfo);
    }

    /**
     * 新增面试信息
     * 
     * @param hotakeInterviewInfo 面试信息
     * @return 结果
     */
    @Transactional(rollbackFor=Exception.class)
    @Override
    public HotakeInterviewInfo insertHotakeInterviewInfo(HotakeInterviewInfo hotakeInterviewInfo)
    {
        fill(FillTypeEnum.INSERT.getCode(), hotakeInterviewInfo);
        hotakeInterviewInfoMapper.insertHotakeInterviewInfo(hotakeInterviewInfo);
        return hotakeInterviewInfo;
    }

    /**
     * 修改面试信息
     * 
     * @param hotakeInterviewInfo 面试信息
     * @return 结果
     */
    @Transactional(rollbackFor=Exception.class)
    @Override
    public HotakeInterviewInfo updateHotakeInterviewInfo(HotakeInterviewInfo hotakeInterviewInfo)
    {
        fill(FillTypeEnum.UPDATE.getCode(), hotakeInterviewInfo);
        hotakeInterviewInfoMapper.updateHotakeInterviewInfo(hotakeInterviewInfo);
        return hotakeInterviewInfo;
    }

    /**
     * 批量删除面试信息
     * 
     * @param ids 需要删除的面试信息主键
     * @return 结果
     */
    @Transactional(rollbackFor=Exception.class)
    @Override
    public int deleteHotakeInterviewInfoByIds(Long[] ids)
    {
        return hotakeInterviewInfoMapper.deleteHotakeInterviewInfoByIds(ids);
    }

    /**
     * 删除面试信息信息
     * 
     * @param id 面试信息主键
     * @return 结果
     */
    @Transactional(rollbackFor=Exception.class)
    @Override
    public int deleteHotakeInterviewInfoById(Long id)
    {
        return hotakeInterviewInfoMapper.deleteHotakeInterviewInfoById(id);
    }
    /**
     * 批量新增面试信息
     *
     * @param hotakeInterviewInfoList 面试信息列表
     * @return 结果
     */
    @Transactional(rollbackFor=Exception.class)
    @Override
    public int batchInsertHotakeInterviewInfo(List<HotakeInterviewInfo> hotakeInterviewInfoList){
        return hotakeInterviewInfoMapper.batchInsertHotakeInterviewInfo(hotakeInterviewInfoList);
    }
}
